<?php session_start();

////////////////////////////////////////////// Database Connector /////////////////////////////////////////////////////////////
	require_once("config.inc.php");
	require_once("DBConnector.php");
	$db = new DBConnector(); $dbinv = $db->GetConnection();
	
	////////////////////////////////////////////// Write XML ////////////////////////////////////////////////////////////////////
	header('Content-Type: text/xml'); 
	
	 date_default_timezone_set('Asia/Colombo'); 
	
	/////////////////////////////////////// GetValue //////////////////////////////////////////////////////////////////////////
	
		
				
	///////////////////////////////////// Registration /////////////////////////////////////////////////////////////////////////
		
		if($_GET["Command"]=="add_address")
		{
			//echo "Regt=".$Regt."RegimentNo=".RegimentNo."Command=".$Command;
			
			
	/*		$sql="Select * from tmp_army_no where edu= '".$_GET['edu']."'";
			$result =$db->RunQuery($sql);
			if($row = $result->fetch()){
				$ResponseXML .= "exist";
				
				
				
			}	else {*/
			
		//	$ResponseXML .= "";
			//$ResponseXML .= "<ArmyDetails>";
			
		/*	$sql1="Select * from mas_educational_qualifications where str_Educational_Qualification= '".$_GET['edu']."'";
			$result1 =$db->RunQuery($sql1);
			$row1 = $result1->fetch();
			$ResponseXML .=  $row1["int_Educational_Qulifications"];*/
			
			$sqlt="Select * from customer_mast where id ='".$_GET['customerid']."'";
			
			$resultt =$db->RunQuery($sqlt);
			if ($rowt = $resultt->fetch()){
				echo $rowt["str_address"];
			}
			
			
				
			
	}
	
			
		if($_GET["Command"]=="new_inv")
		{
		 echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";

    $ResponseXML = "";
    $ResponseXML .= "<new>";	
			
			$_SESSION["insert"]=1;
		 
			
			$sql="Select PORD_NO from invpara where COMCODE='".$_SESSION['company']."'";
			//echo $sql;
			$result =$db->RunQuery($sql);
			$row = $result->fetch();
			$tmpinvno="00000".$row["PORD_NO"];
			
			$lenth=strlen($tmpinvno);
			$invno=$_SESSION['company'] . trim("PORD/ ").substr($tmpinvno, $lenth-7);
			$_SESSION["invno"]=$invno;
			
			$sql="Select ORD_NO from tmpinvpara";
			$result =$db->RunQuery($sql);
			$row = $result->fetch();
			$_SESSION["tmp_no_purord"]=$_SESSION['company'] . "PORD/".$row["PORD_NO"];
			
			$sql1="delete from tmp_purord_data where tmp_no='".$_SESSION["tmp_no_purord"]."'";
			$result1 =$db->RunQuery($sql1);
			
			$sql1="update tmpinvpara set PORD_NO=PORD_NO+1";
			$result1 =$db->RunQuery($sql1);
			
		  $ResponseXML .= "<invno><![CDATA[$invno]]></invno>"; 
        $ResponseXML .= "<invdate><![CDATA[" . date('Y-m-d') . "]]></invdate>";
         
        $ResponseXML .= "</new>"; 
        echo $ResponseXML;
			
		}
	
if ($_GET["Command"] == "search_inv") {

    $ResponseXML .= "";
    //$ResponseXML .= "<invdetails>";



    $ResponseXML .= "<table width=\"735\" border=\"0\" class=\"form-matrix-table\">
                            <tr>
                              <td width=\"121\"  background=\"images/headingbg.gif\" ><font color=\"#FFFFFF\">Order No</font></td>
                              <td width=\"424\"  background=\"images/headingbg.gif\"><font color=\"#FFFFFF\">Supplier</font></td>
							  <td width=\"176\"  background=\"images/headingbg.gif\"><font color=\"#FFFFFF\">Order Date</font></td>
							  <td width=\"176\"  background=\"images/headingbg.gif\"><font color=\"#FFFFFF\">Amount</font></td>
                             
   							</tr>";
    $sql1 = "select * from s_purmas where CANCEL!='1' and TYPE='Local' and REFNO <> ''";
     
        if ($_GET['invno'] != "") {
            $sql1 .= " and REFNO like '".$_GET['invno']."%'";
        }
     
        if ($_GET['customername'] != "") {
            $sql1 .= " and SUP_NAME like '".$_GET['customername']."%'";
        }
     $sql1 .= " order by id desc";
    $result =$db->RunQuery($sql1);	
			while($row = $result->fetch()){
        $REF_NO = $row['REFNO'];
        $stname = "ord";
        $ResponseXML .= "<tr>
                           	  <td onclick=\"purord('" . $row['REFNO'] . "', '" . $_GET['stname'] . "');\">" . $row['REFNO'] . "</a></td>
                              <td onclick=\"purord('" . $row['REFNO'] . "', '" . $_GET['stname'] . "');\">" . $row['SUP_NAME'] . "</a></td>
                              <td onclick=\"purord('" . $row['REFNO'] . "', '" . $_GET['stname'] . "');\">" . $row['SDATE'] . "</a></td>
                              <td onclick=\"purord('" . $row['REFNO'] . "', '" . $_GET['stname'] . "');\">" . $row['AMOUNT'] . "</a></td>
                                                        	
                            </tr>";
    }

    $ResponseXML .= "   </table>";


    echo $ResponseXML;
}	
	if($_GET["Command"]=="add_tmp")
		{
		
			$department=$_GET["department"];
			
			$ResponseXML .= "";
			$ResponseXML .= "<salesdetails>";
			
			
			$sql="delete from tmp_purord_data where str_code='".$_GET['itemcode']."' and tmp_no='".$_SESSION['tmp_no_purord']."' ";
			$ResponseXML .= $sql;
			$result =$db->RunQuery($sql);
			
			//echo $_GET['rate'];
			//echo $_GET['qty'];
			
			$qty=str_replace(",", "", $_GET["qty"]);
			
			$itemdesc=$_GET['item']." ".$_GET["partno"];
			$sql="Insert into tmp_purord_data (tmp_no, str_invno, str_code, str_description, partno, qty, cost, selling, subtotal)values 
			('".$_SESSION["tmp_no_purord"]."', '".$_GET['invno']."', '".$_GET['itemcode']."', '".$itemdesc."', '".$_GET["partno"]."', ".$qty.", '".$_GET["cost"]."', '".$_GET["selling"]."', '".$_GET["subtotal"]."') ";
			//$ResponseXML .= $sql;
			$result =$db->RunQuery($sql);	
			
			
				$ResponseXML .= "<sales_table><![CDATA[ <table><tr>
                              <td width=\"10%\"  background=\"\" ><font color=\"#FFFFFF\">Code</font></td>
                              <td width=\"40%\"  background=\"\"><font color=\"#FFFFFF\">Description</font></td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Part No</font></td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Qty</font></td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Cost</font></td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Selling</font></td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Sub Total</font></td>
                             
                            </tr>";
							
			$total_value=0;
			$sql="Select * from tmp_purord_data where tmp_no='".$_SESSION['tmp_no_purord']."' order by id";
			$result =$db->RunQuery($sql);	
			while($row = $result->fetch()){				
             	$ResponseXML .= "<tr>                              
                             <td >".$row['str_code']."</a></td>
							 <td >".$row['str_description']."</a></td>
							 <td >".$row['partno']."</a></td>
							 <td >".number_format($row['qty'], 2, ".", ",")."</a></td>
							 <td >".number_format($row['cost'], 2, ".", ",")."</a></td>
							 <td >".number_format($row['selling'], 2, ".", ",")."</a></td>
							 <td >".number_format($row['subtotal'], 2, ".", ",")."</a></td>
							 <td ><img src=\"images/delete_01.png\" width=\"20\" height=\"20\" id=".$row['str_code']."  name=".$row['str_code']." onClick=\"del_item('".$row['str_code']."');\"></td></tr>";
							 
                           $total_value +=$row['subtotal'];
			}			
							
            $ResponseXML .= "   </table>]]></sales_table>";
			
			$ResponseXML .= "<total_value><![CDATA[".$total_value."]]></total_value>";
			$ResponseXML .= " </salesdetails>";
				
 
				
				echo $ResponseXML;
				
			
	}
	
	
	if($_GET["Command"]=="purord")
		{
		
			//$department=$_GET["department"];
			echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
			
			$ResponseXML .= "";
			$ResponseXML .= "<salesdetails>";
			
		 
			
			$sql="select * from s_purmas where REFNO='".$_GET['invno']."' ";
			//$ResponseXML .= $sql;
			$result =$db->RunQuery($sql);
			if($row = $result->fetch()){
				$ResponseXML .= "<REFNO><![CDATA[" . $row["REFNO"] . "]]></REFNO>";
                $ResponseXML .= "<SDATE><![CDATA[" . $row["SDATE"] . "]]></SDATE>";
                $ResponseXML .= "<ORDNO><![CDATA[" . $row["ORDNO"] . "]]></ORDNO>";
                $ResponseXML .= "<LCNO><![CDATA[" . $row["LCNO"] . "]]></LCNO>";
                $ResponseXML .= "<pi_no><![CDATA[" . $row["pi_no"] . "]]></pi_no>";
                $ResponseXML .= "<COUNTRY><![CDATA[" . $row["COUNTRY"] . "]]></COUNTRY>";
                $ResponseXML .= "<SUP_CODE><![CDATA[" . $row["SUP_CODE"] . "]]></SUP_CODE>";
                $ResponseXML .= "<SUP_NAME><![CDATA[" . $row["SUP_NAME"] . "]]></SUP_NAME>";
                $ResponseXML .= "<REMARK><![CDATA[" . $row["REMARK"] . "]]></REMARK>";
                $ResponseXML .= "<DEPARTMENT><![CDATA[" . $row["DEPARTMENT"] . "]]></DEPARTMENT>";
                $ResponseXML .= "<SALEX><![CDATA[" . $row["SALEX"] . "]]></SALEX>";
                $ResponseXML .= "<AMOUNT><![CDATA[" . $row["AMOUNT"] . "]]></AMOUNT>";
                $ResponseXML .= "<PUR_DATE><![CDATA[" . $row["PUR_DATE"] . "]]></PUR_DATE>";
                $ResponseXML .= "<brand><![CDATA[" . $row["brand"] . "]]></brand>";
                $ResponseXML .= "<TYPE><![CDATA[" . $row["TYPE"] . "]]></TYPE>";
                
				
			
		 
			
				$ResponseXML .= "<sales_table><![CDATA[ <table><tr>
                              <td width=\"10%\"  background=\"\" >Code</td>
                              <td width=\"40%\"  background=\"\">Description</td>
                              <td width=\"10%\"  background=\"\">Part No</td>
                              <td width=\"10%\"  background=\"\">Qty</td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Cost</font></td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Selling</font></td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Sub Total</font></td>
                             
                            </tr>";
							
			
			$sql="Select * from s_purtrn where REFNO='".$_GET['invno']."' order by id";
			$result =$db->RunQuery($sql);	
			while($row = $result->fetch()){				
             	$ResponseXML .= "<tr>                              
                             <td >".$row['STK_NO']."</a></td>
							 <td>".$row['DESCRIPT']."</a></td>
							 <td ></a></td>
							 <td >".number_format($row['REC_QTY'], 0, ".", ",")."</a></td>
							 <td >".number_format($row['COST'], 2, ".", ",")."</a></td>
							 <td >".number_format($row['SELLING'], 2, ".", ",")."</a></td>
							 <td >".number_format($row['COST']*$row['REC_QTY'], 2, ".", ",")."</a></td>
							 <td ></td></tr>";
							 
                           
				}			
							
                $ResponseXML .= "   </table>]]></sales_table>";
				
				$ResponseXML .= " </salesdetails>";
				
			}	
				
				
				echo $ResponseXML;
				
			
	}
	
	
	if($_GET["Command"]=="setord")
	{
		
		include_once("connection.php");
		
		$len=strlen($_GET["salesord1"]);
		$need=substr($_GET["salesord1"],$len-7, $len);
		$salesord1=trim("ORD/ ").$_GET["salesrep"].trim(" / ").$need;
		
		
		$_SESSION["custno"]=$_GET['custno'];
		$_SESSION["brand"]=$_GET["brand"];
		$_SESSION["department"]=$_GET["department"];
		
		
	
	header('Content-Type: text/xml'); 
	echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
			
			$ResponseXML = "";
			$ResponseXML .= "<salesdetails>";
			
				$cuscode=$_GET["custno"];	
				$salesrep=$_GET["salesrep"];
				$brand=$_GET["brand"];
					
			//		$ResponseXML .= "<salesord><![CDATA[".$salesord1."]]></salesord>";
				
					
	    //Call SETLIMIT ====================================================================
		
		
		
	/*	$sql = $dbinv->query("DROP VIEW view_s_salma") or die("Error";
					$sql = mysql_query("CREATE VIEW view_s_salma
AS
SELECT     s_salma.*, brand_mas.class AS class
FROM         brand_mas RIGHT OUTER JOIN
                      s_salma ON brand_mas.barnd_name = s_salma.brand") or die("Error";*/

	$OutpDAMT = 0;
	$OutREtAmt = 0;
	$OutInvAmt = 0;
	$InvClass="";
	
	$sqlclass = $dbinv->query("select class from brand_mas where barnd_name='".trim($brand)."'") or die("Error";
	if ($rowclass = $sqlclass->fetch()){
		if (is_null($rowclass["class"])==false){
			$InvClass=$rowclass["class"];
		}
	}
	
	$sqloutinv = $dbinv->query("select sum(GRAND_TOT-TOTPAY) as totout from view_s_salma where GRAND_TOT>TOTPAY and CANCELL='0' and C_CODE='".trim($cuscode)."' and SAL_EX='".trim($salesrep)."' and class='".$InvClass."'") or die("Error";
	if ($rowoutinv = $sqloutinv->fetch()){
		if (is_null($rowoutinv["totout"])==false){
			$OutInvAmt=$rowoutinv["totout"];
		}
	}

$sqlinvcheq = $dbinv->query("SELECT * FROM s_invcheq WHERE che_date>'".date("d-m-Y")."' AND cus_code='".trim($cuscode)."' and trn_type='REC' and sal_ex='".trim($salesrep)."'") or die("Error";
	while($rowinvcheq = $sqlinvcheq->fetch()){
		
		$sqlsttr = $dbinv->query("select * from s_sttr where ST_REFNO='".trim($rowinvcheq["refno"])."' and ST_CHNO ='".trim($rowinvcheq["cheque_no"]) ."'") or die("Error";
		while($rowsttr = $sqlsttr->fetch()){
			$sqlview_s_salma = $dbinv->query("select class from view_s_salma where REF_NO='".trim($rowsttr["ST_INVONO"])."'") or die("Error";
			if($rowview_s_salma = $sqlview_s_salma->fetch()){
				
				if (trim($rowview_s_salma["class"]) == $InvClass){
                    $OutpDAMT = $OutpDAMT + $rowsttr["ST_PAID"];
                }
			}
		}
	}


        
        $pend_ret_set = 0;
		
		$sqlinvcheq = $dbinv->query("SELECT sum(che_amount) as  che_amount FROM s_invcheq WHERE che_date >'".date("d-m-Y")."' AND cus_code='".trim($cuscode)."' and trn_type='RET'") or die("Error";
		if($rowinvcheq = $sqlinvcheq->fetch()){
			if (is_null($rowinvcheq["che_amount"])==false){
				$pend_ret_set=$rowinvcheq["che_amount"];
			}
		}
		
		
		$sqlcheq = $dbinv->query("Select sum(CR_CHEVAL-PAID) as tot from s_cheq where CR_C_CODE='".trim($cuscode)."'  and CR_CHEVAL-PAID>0 and CR_FLAG='0' and S_REF='".trim($salesrep)."'") or die("Error";
		if($rowcheq = $sqlcheq->fetch()){
			if (is_null($rowcheq["tot"])==false){
				$OutREtAmt=$rowcheq["tot"];
			} else {
				$OutREtAmt=0;
			}
		}
		
            
 
$ResponseXML .= "<sales_table_acc><![CDATA[ <table  bgcolor=\"#0000FF\" border=1  cellspacing=0>
						<tr><td>Outstanding Invoice Amount</td><td>".number_format($OutInvAmt, 2, ".", ",")."</td></tr>
						 <td>Return Cheque Amount</td><td>".number_format($OutREtAmt, 2, ".", ",")."</td></tr>
						 <td>Pending Cheque Amount</td><td>".number_format($OutpDAMT, 2, ".", ",")."</td></tr>
						 <td>PSD Cheque Settlments</td><td>".number_format($pend_ret_set, 2, ".", ",")."</td></tr>
						 <td>Total</td><td>".number_format($OutInvAmt+$OutREtAmt+$OutpDAMT+$pend_ret_set, 2, ".", ",")."</td></tr>
						 </table></table>]]></sales_table_acc>";
        

      $sqlbr_trn = $dbinv->query("select * from br_trn where Rep='".trim($salesrep)."' and brand='".trim($InvClass)."' and cus_code='" .trim($cuscode)."'") or die("Error";  
	if($rowbr_trn = $sqlbr_trn->fetch()){
		if(is_null($rowbr_trn["credit_lim"]) == false){
			$crLmt=$rowbr_trn["credit_lim"];
		} else {	
			$crLmt=0;		
		}
	
		
		if(is_null($rowbr_trn["tmpLmt"]) == false){
			$tmpLmt=$rowbr_trn["tmpLmt"];
		} else {	
			$tmpLmt=0;		
		}
		
		if (is_null($rowbr_trn["CAT"])==false) {
			$cuscat = trim($rowbr_trn["cat"]);
            if ($cuscat = "A"){ $m = 2.5; }
            if ($cuscat = "B"){ $m = 2.5; }
            if ($cuscat = "C"){ $m = 1; }
            $txt_crelimi = "0";
            $txt_crebal = "0";
            $txt_crelimi = number_format($crLmt, 2, ".", ",");
			$crebal=$crLmt * $m + $tmpLmt - $OutInvAmt - $OutREtAmt - $OutpDAMT - $pend_ret_set;
            $txt_crebal = number_format($crebal, "2", ".", ",");
          } else {
            $txt_crelimi = "0";
            $txt_crebal = "0";
          }
         $creditbalance = $OutInvAmt + $OutREtAmt + $OutpDAMT;

	   			
			
			 
    }    
			$ResponseXML .= "<txt_crelimi><![CDATA[".$txt_crelimi."]]></txt_crelimi>";
			$ResponseXML .= "<txt_crebal><![CDATA[".$txt_crebal."]]></txt_crebal>";
          
         	 $ResponseXML .= "<creditbalance><![CDATA[".$creditbalance."]]></creditbalance>";


		$ResponseXML .= "</salesdetails>";	
		echo $ResponseXML;
				
				
	
	
	}

		
	if($_GET["Command"]=="del_item")
		{
		
			
			$ResponseXML .= "";
			$ResponseXML .= "<salesdetails>";
			
	
			$sql="delete from tmp_purord_data where str_code='".$_GET['code']."' and tmp_no='".$_SESSION["tmp_no_purord"]."' ";
			
			$result =$db->RunQuery($sql);
			
			$ResponseXML .= "<sales_table><![CDATA[ <table><tr>
                              <td width=\"10%\"  background=\"\" ><font color=\"#FFFFFF\">Code</font></td>
                              <td width=\"40%\"  background=\"\"><font color=\"#FFFFFF\">Description</font></td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Part No</font></td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Qty</font></td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Cost</font></td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Selling</font></td>
                              <td width=\"10%\"  background=\"\"><font color=\"#FFFFFF\">Sub Total</font></td>
                            </tr>";
							
			$total_value=0;
			$sql="Select * from tmp_purord_data where str_invno='".$_GET['invno']."' order by id";
			$result =$db->RunQuery($sql);	
			while($row = $result->fetch()){				
             	$ResponseXML .= "<tr>
                              
                             <td >".$row['str_code']."</a></td>
							 <td >".$row['str_description']."</a></td>
							 <td >".$row['partno']."</a></td>
							 <td >".$row['qty']."</a></td>
							 <td >".$row['cost']."</a></td>
							 <td >".$row['selling']."</a></td>
							 <td >".$row['subtotal']."</a></td>
							 <td ><img src=\"images/delete_01.png\" width=\"20\" height=\"20\" id=".$row['str_code']."  name=".$row['str_code']." onClick=\"del_item('".$row['str_code']."');\"></td></tr>";
							 
					$total_value +=$row['subtotal'];	
				}			
				
				$ResponseXML .= "   </table>]]></sales_table>";
							$ResponseXML .= "<total_value><![CDATA[".$total_value."]]></total_value>";  
                $ResponseXML .= " </salesdetails>";
				
				
		//	}	
				
				
				echo $ResponseXML;
				
			
	}
	
if ($_GET["Command"] == "save_item") {
    require_once './gl_posting.php';
    if ($_SESSION['dev'] == "") {
        exit("logout");
    }
	
	include('connection.php');
	
	$sql_status=0;
			
	$dbinv->query("SET AUTOCOMMIT=0");
	$dbinv->query("START TRANSACTION");
        
			
	$supplier_name=str_replace("~", "&", $_GET["supplier_name"]);
	
    

        $sql_invpara = "SELECT * from invpara where COMCODE='" . $_SESSION['company'] . "'";
		$result_invpara=$dbinv->query($sql_invpara);
        $row_invpara = $result_invpara->fetch();

        $vatrate = $row_invpara["vatrate"];

        $ResponseXML .= "";
        $ResponseXML .= "<salesdetails>";

        $_SESSION["CURRENT_DOC"] = 1;      //document ID
        $_SESSION["VIEW_DOC"] = false;     //view current document
        $_SESSION["FEED_DOC"] = true;       //save  current document
        $_GET["MOD_DOC"] = false;         //delete   current document
        $_GET["PRINT_DOC"] = false;       //get additional print   of  current document
        $_GET["PRICE_EDIT"] = false;       //edit selling price
        $_GET["CHECK_USER"] = false;       //check user permission again
        //$cre_balance=str_replace(",", "", $_GET["balance"]);



        $sql = "select * from s_purmas where REFNO='" . $_GET["invno"] . "'";
		$result=$dbinv->query($sql);
      
        //echo $sql;
        if ($row = $result->fetch()) {
            exit("AR Number Already Exists");
        } else {
            $sql1 = "insert into c_bal(REFNO, SDATE, CUSCODE, AMOUNT, BALANCE, DEP, SAL_EX, Cancell, brand, DEV, trn_type, vatrate, old, flag1, active, totpay, company) values
            ('" . $_GET["invno"] . "', '" . $_GET["invdate"] . "', '" . $_GET["supplier_code"] . "', '" . $_GET["total_value"] . "', '" . $_GET["total_value"] . "', '" . $_GET["department"] . "', '" . $_GET["salesrep"] . "', '0', '', '" . $_SESSION['dev'] . "', 'ARN', '" . $vatrate . "', '0', 0, 1, 0, '".$_SESSION['company']."')";
            //echo $sql1;
           $result1=$dbinv->query($sql1);
		   if ($result1==false){ $sql_status=1; }

            $sql1 = "insert into s_sttr_all(ST_REFNO, ST_DATE, ST_INVONO, ST_PAID, balance, netamount, cus_code, cusname, DEV, del_days, deliin_days, deliin_amo, deliin_lock, department, form_type, trn_type) values
	  ('" . $_GET["invno"] . "', '" . $_GET["invdate"] . "', '" . $_GET["invno"] . "', " . $_GET["total_value"] . ", " . $_GET["total_value"] . ", " . (-1 * $_GET["total_value"]) . ", '" . $_GET["supplier_code"] . "', '" . $supplier_name . "', '" . $_SESSION['dev'] . "', 0, 0, 0, '0', 'O', 'ARN', 'OVER')";
            //echo $sql1;
           $result1=$dbinv->query($sql1);
		   if ($result1==false){ $sql_status=2; }




            $sql1 = "insert into s_purmas(REFNO, SDATE, ORDNO, LCNO, pi_no, COUNTRY, SUP_CODE, SUP_NAME, REMARK, DEPARTMENT, AMOUNT, PUR_DATE,
TYPE, brand,SALEX) values ('" . $_GET["invno"] . "', '" . $_GET["invdate"] . "', '" . $_GET["lc_no"] . "', '" . $_GET["lc_no"] . "', '" . $_GET["pi_no"] . "', '', '" . $_GET["supplier_code"] . "', '" . $supplier_name . "', '" . $_GET["remarks"] . "', '" . $_GET["department"] . "', '" . $_GET["total_value"] . "', '" . $_GET["invdate"] . "', 'Local', '','" . $_GET["salesrep"] . "')";
            //echo $sql1;
            $result1=$dbinv->query($sql1);
			if ($result1==false){ $sql_status=3; }
        }
        
        
        //====================== gl_posting======================================
        
        $ayear = ac_year($_GET["invdate"]);
        
        $sql = "select vatrate from invpara";
        $result=$dbinv->query($sql);
        $rowVat = $result->fetch();
        $vatrate = $rowVat["vatrate"];
        $amount = $_GET["total_value"];
        $vatAmount = $amount*$vatrate/(100+$vatrate);
        $vatAmount = number_format($vatAmount, "2", ".", "");

        $orgAmount = $amount - $vatAmount;
        
        
           $sqlGlPost = "select * from gl_posting where docname = 'ARRIVAL' and action = 'ADD_PURCHASE_L'"; 
        
        
        $result=$dbinv->query($sqlGlPost);
        $rowGlPost = $result->fetch();

        $sqlLedger = "Insert into ledger(l_refno, l_date, l_code, l_amount, l_flag, l_flag1, acyear, ComCode) Values 
        ('" . $_GET["invno"] . "', '" . $_GET["invdate"] . "', '" . $rowGlPost["l_code"] . "', " . $orgAmount . ", 'ARN', '" . $rowGlPost["entry_flag"] . "', '$ayear', '" . $_SESSION['company'] . "')";
        $result1=$dbinv->query($sqlLedger);
        if ($result1==false){ $sql_status=31; }
        
        // add creditors

        $sqlGlPost = "select * from gl_posting where docname = 'ARRIVAL' and action = 'ADD_CREDITORS'";
        $result=$dbinv->query($sqlGlPost);
        $rowGlPost = $result->fetch();

        $sqlLedger = "Insert into ledger(l_refno, l_date, l_code, l_amount, l_flag, l_flag1, acyear, ComCode) Values 
        ('" . $_GET["invno"] . "', '" . $_GET["invdate"] . "', '" . $rowGlPost["l_code"] . "', " . $amount . ", 'ARN', '" . $rowGlPost["entry_flag"] . "', '$ayear', '" . $_SESSION['company'] . "')";
        $result1=$dbinv->query($sqlLedger);
        if ($result1==false){ $sql_status=32; }
        
        // add vat
        
        $sqlGlPost = "select * from gl_posting where docname = 'ARRIVAL' and action = 'ADD_VAT'";    
        $result=$dbinv->query($sqlGlPost);
        $rowGlPost = $result->fetch();

        $sqlLedger = "Insert into ledger(l_refno, l_date, l_code, l_amount, l_flag, l_flag1, acyear, ComCode) Values 
        ('" . $_GET["invno"] . "', '" . $_GET["invdate"] . "', '" . $rowGlPost["l_code"] . "', " . $vatAmount . ", 'ARN', '" . $rowGlPost['entry_flag'] . "', '$ayear', '" . $_SESSION['company'] . "')";
        $result1=$dbinv->query($sqlLedger);
        if ($result1==false){ $sql_status=33; }

        $i = 1;
         
       $sql21="select * from tmp_purord_data where tmp_no='".$_SESSION['tmp_no_purord']."'";
       $result21 = $db->RunQuery($sql21);
      while ($row21 = $result21->fetch()) {

            $itemcode_name = $row21['str_code'];
            $itemname_name = $row21['str_description'];
            $ord_qty_name =  $row21['qty'];
            $fob_name = "";
            $qty_name = $row21['qty'];
			$discount_a_name = 0;
			$discount_b_name = 0;
			$cost_name = $row21['cost'];
            $selling_name = $row21['selling'];
            $margin_name = 0;
            $subtotal_name = $row21['subtotal'];

            $QTYINHAND = 0;
            $cost = 0;
            $acc_cost = 0;
            $acc_cost_c = 0;
            $m_qty = 0;
            $m_totval = 0;
            $COST_mas = 0;

            if ($qty_name > 0) {
                
                $cost = $cost_name;
                
                $acc_cost = $cost_name ;


                $sql = "select * from s_mas where STK_NO='" . $itemcode_name. "'";
				$result=$dbinv->query($sql);
                
                if ($row = $result->fetch()) {
                    $QTYINHAND = $row["QTYINHAND"];
                    $COST_mas = $row["COST"];
                    $acc_cost_c = $row["acc_cost"];
                }

                $m_qty = $QTYINHAND + $qty_name;

                if ($QTYINHAND > 0) {
                    $m_totval = (($QTYINHAND * $acc_cost_c) + ($qty_name * $cost_name)) / $m_qty;
                } else {
                    $m_totval = $cost_name;
                }
 
                if ($fob_name == "") {
                    $fob_val = 0;
                } else {
                    $fob_val = $fob_name;
                }
                $sql4 = "insert into s_purtrn(REFNO, SDATE, STK_NO, DESCRIPT, COST, MARGIN, SELLING, REC_QTY, FOB, DEPARTMENT, QTYINHAND, O_QTY, 
 Cost_c, acc_cost, acc_cost_c, brand, vatrate, DISCOUNT, DISCOUNT2, ret_qty, cost_seling, cost_margin, CANCEL, soldqty, days) values 
 ('" . $_GET["invno"] . "', '" . $_GET["invdate"] . "', '" . $itemcode_name . "', '" . $itemname_name . "', " . $cost . ", " . $margin_name . ", " . $selling_name . ", " . $qty_name . ", " . $fob_val . ", '" . $_GET["department"] . "', " . $QTYINHAND . ", " . $ord_qty_name. ", " . $COST_mas . ", '" . $acc_cost . "', '" . $acc_cost_c . "', '', '" . $vatrate . "', ".$discount_a_name.", ".$discount_b_name.", 0, 0, 0, '0', '', 0)";
               // echo $sql1;
			   	$result1=$dbinv->query($sql4);
				if ($result1==false){ $sql_status=4; }
                             
               

                if ($m_totval > 0) {
                    $marg = ($selling_name - $m_totval) / $m_totval * 100;
                } else {
                    $marg = 0;
                }
             //   if ($_GET["purtype"] == "Local") {
             //       $sql1 = "update s_mas set COST=" . $m_totval . " where  STK_NO='" . $_GET[$itemcode_name] . "'";
             //       $result1 = $db->RunQuery($sql1);
             //   }

                if (($m_totval > 0) and ( trim($m_totval) != "")) {
                    $margin = ($selling_name - $m_totval) / $m_totval * 100;
                } else {
                    $margin = 0;
                }
                
                $sqlPre = "select QTYINHAND from s_mas where STK_NO='" . $itemcode_name . "'";
                $result=$dbinv->query($sqlPre);
                $rowPre = $result->fetch();
                if($rowPre["QTYINHAND"]<0){
                    $sql1 = "insert into s_trn(STK_NO, SDATE, QTY, LEDINDI, REFNO, DEPARTMENT, seri_no, Dev, SAL_EX, ACTIVE, DONO) values 
                    ('" . $itemcode_name . "', '" . $_GET["invdate"] . "', '0', 'TRN', 'STK UPDATE', '" . $_GET["department"] . "', '', '" . $_SESSION['dev'] . "', '', '1', '')";
                    $result1=$dbinv->query($sql1);
                    if ($result1==false){ $sql_status=51; }
                    
                    $sql1 = "update s_mas set COST=" . $cost . ", acc_cost=" . $m_totval . ", SELLING='" . $selling_name . "', AR_selling='" . $selling_name . "', MARGIN ='" . $margin . "', QTYINHAND=" . $qty_name . " where  STK_NO='" . $itemcode_name . "'";
                    $result1=$dbinv->query($sql1);
                    if ($result1==false){ $sql_status=5; }
                }else{
                    $sql1 = "update s_mas set COST=" . $cost . ", acc_cost=" . $m_totval . ", SELLING='" . $selling_name . "', AR_selling='" . $selling_name . "', MARGIN ='" . $margin . "', QTYINHAND=QTYINHAND+" . $qty_name . " where  STK_NO='" .$itemcode_name . "'";
                    $result1=$dbinv->query($sql1);
                    if ($result1==false){ $sql_status=5; } 
                }
                

               
                //echo $sql1;
                $sql3 = "select * from s_submas where STK_NO='" . $itemcode_name . "' and STO_CODE='" . $_GET["department"] . "'";
				$result3=$dbinv->query($sql3);
				if ($result3==false){ $sql_status=6; }
                //echo $sql1;
               if ($row3 = $result3->fetch()) {
                   
                    if($rowPre["QTYINHAND"]<0){
                        $sql1 = "update s_submas set QTYINHAND=" . $qty_name . " where STK_NO='" . $itemcode_name . "' and STO_CODE='" . $_GET["department"] . "'";
                        //	echo $sql1;
                        $result1=$dbinv->query($sql1);
                        if ($result1==false){ $sql_status=7; }
                    }else{
                        $sql1 = "update s_submas set QTYINHAND=QTYINHAND+" . $qty_name . " where STK_NO='" . $itemcode_name . "' and STO_CODE='" . $_GET["department"] . "'";
                        //	echo $sql1;
                        $result1=$dbinv->query($sql1);
                        if ($result1==false){ $sql_status=7; }                        
                    }
                } else {

                    $sql1 = "insert into s_submas(STO_CODE, STK_NO, DESCRIPt, OPENT_DATE, QTYINHAND) values
                    ('" . $_GET["department"] . "', '" . $itemcode_name . "', '" . $itemname_name . "', '" . $_GET["invdate"] . "', " . $qty_name . " )";
                    //echo $sql1;
					$result1=$dbinv->query($sql1);
					if ($result1==false){ $sql_status=8; }
                   
                }
 

                $sql1 = "insert into s_trn(STK_NO, SDATE, QTY, LEDINDI, REFNO, DEPARTMENT, seri_no, Dev, SAL_EX, ACTIVE, DONO) values 
                ('" . $itemcode_name . "', '" . $_GET["invdate"] . "', '" . $qty_name . "', 'ARN', '" . $_GET["invno"] . "', '" . $_GET["department"] . "', '', '" . $_SESSION['dev'] . "', '', '1', '')";
                //echo $sql1;
				$result1=$dbinv->query($sql1);
				if ($result1==false){ $sql_status=11; }
             


                $sql1 = "insert into s_trn_all(STK_NO, SDATE, QTY, LEDINDI, REFNO, DEPARTMENT, seri_no, Dev, SAL_EX, ACTIVE, DONO, cuscode, cusname, brand) values 
                ('" .  $itemcode_name  . "', '" . $_GET["invdate"] . "', '" .  $qty_name  . "', 'ARN', '" . $_GET["invno"] . "', '" . $_GET["department"] . "', '', '" . $_SESSION['dev'] . "', '', '1', '', '" . $_GET["supplier_code"] . "', '" . $supplier_name . "', '')";
                //echo $sql1;
				$result1=$dbinv->query($sql1);
				if ($result1==false){ $sql_status=12; }
            
            }

            $i = $i + 1;
        }

		if ($sql_status==0){
        	$sql1 = "update invpara set PORD_NO=PORD_NO+1 where COMCODE='" . $_SESSION['company'] . "'";
			$result1=$dbinv->query($sql1);
       		$dbinv->query("COMMIT");
       	 	echo "Saved";
		} else {
			$dbinv->query("ROLLBACK");
			echo "no $sql_status $sql4";
		}	
     
}


	
if($_GET["Command"]=="save_item111111")
{

	$ResponseXML .= "";
	$ResponseXML .= "<salesdetails>";
			
	  

			$supplier_name=str_replace("~", "&", $_GET["supplier_name"]);
			
			$sql="select * from s_ordmas where REFNO='".$_GET["invno"]."'";
			$result =$db->RunQuery($sql);
			//echo $sql;
			if($row = $result->fetch()){
				$sql1="delete from s_ordmas where REFNO='".$_GET["invno"]."'";
				$result1 =$db->RunQuery($sql1);	
				
				$sql1="delete from s_ordtrn where REFNO='".$_GET["invno"]."'";
				$result1 =$db->RunQuery($sql1);	
			} else {
				$sql="Select PORD_NO from invpara where COMCODE='".$_SESSION['company']."'";
				$result =$db->RunQuery($sql);
				$row = $result->fetch();
				$tmpinvno="000000".$row["PORD_NO"];
				$lenth=strlen($tmpinvno);
				$invno=trim("PORD/ ").substr($tmpinvno, $lenth-7);
				$_SESSION["invno"]=$invno;
				
				$sql1="update invpara set PORD_NO=PORD_NO+1 where COMCODE='".$_SESSION['company']."'";
				$result1 =$db->RunQuery($sql1);
			}
			$sql1="select * from s_stomas where CODE='".$_GET["department"]."'";
			$result1 =$db->RunQuery($sql1);
			$row1 = $result1->fetch();
			$dep_name=$row1["DESCRIPTION"];
			
			$sql1="select * from s_salrep where REPCODE='".$_GET["salesrep"]."'";
			$result1 =$db->RunQuery($sql1);
			$row1 = $result1->fetch();
			$rep_name=$row1["Name"];
			
			$sql1="insert into s_ordmas(REFNO, SDATE, SUP_CODE, SUP_NAME, REMARK, DEP_CODE, DEP_NAME, REP_CODE, REP_NAME, cancel, S_date, LC_No, pi_no, Brand, tmp_no,s_code,vat1,descript,S_Net,Vat2,S_gross,flgLocal) values 
			('".$_GET["invno"]."', '".$_GET["invdate"]."', '".$_GET["supplier_code"]."','".$supplier_name."','".$_GET["remarks"]."','".$_GET["department"]."','".$dep_name."','".$_GET["salesrep"]."','".$rep_name."', '0','".$_GET["dte_shedule"]."','".$_GET["lc_no"]."', '".$_GET["pi_no"]."', '".$_GET["brand"]."',  '".$_SESSION['tmp_no_purord']."', '" . $_GET["s_code"] . "', '" . $_GET["vat1"] . "','" . $_GET["ssdescript"] . "','" . $_GET["ssnet"] . "', '" . $_GET["ssvat"] . "', '" . $_GET["ssgross"] . "','1')";
			//echo $sql1;
			$result1 =$db->RunQuery($sql1);	
			
			
			$sql="select * from tmp_purord_data where tmp_no='".$_SESSION['tmp_no_purord']."'";
			$result =$db->RunQuery($sql);
			while($row = $result->fetch()){
    			$sql1="insert into s_ordtrn(REFNO, SDATE, STK_NO, DESCRIPT, ORD_QTY, partno, CANCEL, tmp_no) values 
    			('".$row["str_invno"]."', '".$_GET["invdate"]."', '".$row["str_code"]."','".$row["str_description"]."','".$row["qty"]."','".$row["partno"]."','0', '".$_SESSION['tmp_no_purord']."')";
				//echo $sql1;
				$result1 =$db->RunQuery($sql1);	
  			}
		//$_SESSION["print"]=1;

			
			echo "Saved";
			
			
	}
	

if ($_GET["Command"] == "cancel_inv") {

    $sql = "select * from s_purmas where CANCEL='0' order by id desc";
    $result = $db->RunQuery($sql);
    $row = $result->fetch();
    //echo $sql;
    //if ($row["REFNO"]!=$_GET["invno"]){
    //	echo "You Can't cancel this record without cancel last records ";
    //} else {	
    $sql1 = "update s_purmas set CANCEL='1' where REFNO='" . $_GET["invno"] . "'";
    $result1 = $db->RunQuery($sql1);

    $sql1 = "update s_purtrn set CANCEL='1' where REFNO='" . $_GET["invno"] . "'";
    $result1 = $db->RunQuery($sql1);

     

    $sql1 = "delete from s_trn  where REFNO='" . $_GET["invno"] . "'";
    $result1 = $db->RunQuery($sql1);

    $sql1 = "delete from s_trn_all  where REFNO='" . $_GET["invno"] . "'";
    $result1 = $db->RunQuery($sql1);

    $sql1 = "delete from c_bal where REFNO='" . $_GET["invno"] . "'";
    $result1 = $db->RunQuery($sql1);

    $sql1 = "delete from s_sttr_all where ST_REFNO='" . $_GET["invno"] . "'";
    $result1 = $db->RunQuery($sql1);
    
    $sql1 = "delete from ledger where l_refno='" . $_GET["invno"] . "'";
    $result1 = $db->RunQuery($sql1);


    $sql1 = "select * from s_purtrn where REFNO='" . $_GET["invno"] . "'";
    $result1 =$db->RunQuery($sql1);
	while($row1 = $result1->fetch()){ 

        $sql2 = "update s_mas set COST=" . $row1["Cost_c"] . ", acc_cost=" . $row1["acc_cost_c"] . " where STK_NO='" . $row1["STK_NO"] . "'";
        $result2 = $db->RunQuery($sql2);

        $sql2 = "update s_submas set QTYINHAND=QTYINHAND-" . $row1["REC_QTY"] . " where STK_NO='" . $row1["STK_NO"] . "' and STO_CODE='" . $row1["DEPARTMENT"] . "'";

        $result2 = $db->RunQuery($sql2);

        $sql2 = "update s_mas set QTYINHAND=QTYINHAND-" . $row1["REC_QTY"] . " where STK_NO='" . $row1["STK_NO"] . "'";
        $result2 = $db->RunQuery($sql2);
    }

    echo "Canceled!";
    //}
}
	
if ($_GET["Command"]=="check_print")
{
	
	echo $_SESSION["print"];
}

	
if($_GET["Command"]=="tmp_crelimit")
{	
	//echo "abc";
	$crLmt = 0;
	$cat = "";
	
	$rep=trim(substr($_GET["Com_rep1"], 0, 5));
	
	$sql = "select * from br_trn where rep='".$rep."' and cus_code='".trim($_GET["txt_cuscode"])."' and brand='".trim($_GET["cmbbrand1"])."'";
	echo $sql;
	$result =$db->RunQuery($sql);
    if ($row = $result->fetch()) {
		$crLmt = $row["credit_lim"];
   		If (is_null($row["cat"])==false) {
      		$cat = trim($row["cat"]);
   		} else {
      		$crLmt = 0;
		}	
   	}
/*	
$_SESSION["CURRENT_DOC"] = 66     //document ID
//$_SESSION["VIEW_DOC"] = true      //  view current document
 $_SESSION["FEED_DOC"] = true      //  save  current document
//$_SESSION["MOD_DOC"] = true       //   delete   current document
//$_SESSION["PRINT_DOC"] = true     // get additional print   of  current document
//$_SESSION["PRICE_EDIT"]= true     // edit selling price
$_SESSION["CHECK_USER"] = true    // check user permission again
$crLmt = $crLmt;
setlocale(LC_MONETARY, "en_US");
$CrTmpLmt = number_format($_GET["txt_tmeplimit"], 2, ".", ",");

$REFNO = trim($_GET["txt_cuscode"]) ;

$AUTH_USER="tmpuser";

$sql = "insert into tmpCrLmt (sdate, stime, username, tmpLmt, class, rep, cuscode, crLmt, cat) values 
        ('".date("Y-m-d")."','".date("H:i:s", time())."' ,'".$AUTH_USER."',".$CrTmpLmt." ,'".trim($_GET["cmbbrand1"])."','".$rep."','".trim($_GET["txt_cuscode"])."',".$crLmt.",'".$cat"' )";
$result =$db->RunQuery($sql);

$sql = "select * from  br_trn where cus_code='".trim($_GET["txt_cuscode"])."' and rep='".$rep."' and brand='".$_GET["cmbbrand1"]."'";
$result =$db->RunQuery($sql);
if ($row = $result->fetch()) {
   $sqlbrtrn= "insert into br_trn (cus_code, rep, credit_lim, brand, tmplmt) values ('".trim($_GET["txt_cuscode"])."','".$rep."','0','".trim($_GET["cmbbrand1"])."',".$CrTmpLmt." )";
   $resultbrtrn =$db->RunQuery($sqlbrtrn);
   
} else {
  
  	$sqlbrtrn= "update br_trn set tmplmt= ".$CrTmpLmt."  where cus_code='".trim($_GET["txt_cuscode"])."' and rep='".$rep."' and brand='".$_GET["cmbbrand1"]."' ";
 	$resultbrtrn =$db->RunQuery($sqlbrtrn);
	
//	$sqlbrtrn= "update vendor set temp_limit= ".$CrTmpLmt."  where code='".trim($_GET["txt_cuscode"])."' "
}

	If ($_GET["Check1"] == 1) {
   		$sqlblack= "update vendor set blacklist= '1'  where code='".trim($_GET["txt_cuscode"])."' ";
		$resultblack =$db->RunQuery($sqlblack);
	} else {	
    	$sqlblack= "update vendor set blacklist= '0'  where code='".trim($_GET["txt_cuscode"])."' ";
		$resultblack =$db->RunQuery($sqlblack);
	}

echo "Tempory limit updated";*/

}


if ($_GET["Command"] == "calcu") {
   header('Content-Type: text/xml');
     


    $ResponseXML = "";
    $ResponseXML .= "<salesdetails>";
    $total = 0;
    if ($_GET["ssgross"] != '') {
        
        // if ($_GET["ssvat"] != '') {
//            var tot = document.getElementById('tot').value;
    		//vat_change
            $x = ($_GET["ssgross"] *100)/100 ; 
            
            
        // } else {
 
        // }
    }
// echo $x.'/';
            $v=$_GET["ssgross"] - $x ;
            //echo $v;
   
    //$tot = number_format($x);
   $tot= number_format($x, 2, '.', '');
   $vat1= number_format($v, 2, '.', '');

    $ResponseXML .= "<ssnet><![CDATA[$tot]]></ssnet>";
    $ResponseXML .= "<ssvat><![CDATA[$vat1]]></ssvat>";
 $ResponseXML .= "</salesdetails>";
    echo $ResponseXML;
}

	
?>

